Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Class NormalDistCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.random.NormalDistCImpl

public class NormalDistCImpl
extends PhaseCImpl
implements NormalC, NormalS, NormalDistS, NormalDistC

Normal (Gaussian) distribution. A well-known continuous probability distribution returning doubles.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`NormalDistCImpl()`
`NormalDistCImpl(NormalDist nextPhase)`

Methods implemented by this class for interface swarm.random.NormalC
`create$setGenerator$setMean$setStdDev, create$setGenerator$setMean$setVariance, create$setGenerator$setVirtualGenerator$setMean$setStdDev, create$setGenerator$setVirtualGenerator$setMean$setVariance`

Methods implemented by this class for interface swarm.random.NormalS
`setMean$setStdDev, setMean$setVariance`

Methods implemented by this class for interface swarm.random.ProbabilityDistributionC
`create$setGenerator, create$setGenerator$setVirtualGenerator, createWithDefaults`

Methods implemented by this class for interface swarm.random.ProbabilityDistributionS
`reset, setGenerator, setGenerator$setVirtualGenerator`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalDistCImpl

    public NormalDistCImpl(NormalDist nextPhase)

### NormalDistCImpl

    public NormalDistCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD